Package org.italiangrid.voms.request

# Class VOMSMessage

java.lang.Object
org.italiangrid.voms.request.VOMSMessage

Direct Known Subclasses:
  `VOMSErrorMessage`, `VOMSWarningMessage`

public class VOMSMessage extends Object
This class is used to decode VOMS error messages contained in a VOMS response.

Author:
  Andrea CEccanti

## Constructor Summary

Constructors
Constructor
Description
`VOMSMessage(int code, String message)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCode()`
`String`
`getMessage()`
`void`
`setCode(int code)`
`void`
`setMessage(String message)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VOMSMessage

public VOMSMessage(int code, String message)

## Method Details

### getCode

public int getCode()

### setCode

public void setCode(int code)

### getMessage

public String getMessage()

### setMessage

public void setMessage(String message)

### toString

public String toString()

Overrides:
  `toString` in class `Object`